/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a218bb9382f547f6d4a5fe70c12567def",
"IdStringType_8h.html#afa53946d82e433de1744649a0b6d30f1",
"MediaInfoDownloader_8cc.html#a2a0ce89b7a854ad759121777e31a6844",
"PluginScript_8cc_source.html",
"RepoFileReader_8cc.html#aab6614e43bcfcfe0d9d47af491e03b56",
"RpmFlags_8h.html#a4c4781cc6d1baa791e7b97b8093beeb9a27e0a89a0663b11161f98a9a1af230e9",
"Status_8h.html#a7b8657a86d4d56c3848b2bed39dffe62a8efa395c9788a112585803741dcd66e5",
"ValueTransform_8h_source.html",
"classzypp_1_1Arch.html#a61c3e8b7e948af68744fdefda4748cca",
"classzypp_1_1Capability.html#a530027aff73dbfacaa12ec8d0b5ad272",
"classzypp_1_1CpeId_1_1Value.html#ad0a635d44a0555b5b5d1434da01d1c8b",
"classzypp_1_1Exception.html#af5f2bb21780f01a605397a29b800ef6c",
"classzypp_1_1HistoryLogData_1_1Impl.html#a1ccb6ef01163ea6eb9f865b52680d8fa",
"classzypp_1_1Locale.html#a5cb6323a74303c602be57fef18a22194",
"classzypp_1_1Package.html",
"classzypp_1_1PluginScriptException.html#af03627ef56546effc42b3eebc8fb34a1",
"classzypp_1_1Product.html#ad53d4ff1a22cf686a11387ef85917414",
"classzypp_1_1RepoInfo.html#ab25979dbde9db9e584211f99a716f9a9",
"classzypp_1_1ResPool.html#a29b5d1fd43a9b5951d878a2942c88b68",
"classzypp_1_1ResStatus.html#ac73ec1dcf3eb4a364d4420e9efe5dfb5ac07495aef22e7a2e0e26400912892a05",
"classzypp_1_1SignatureCheckException.html",
"classzypp_1_1VendorAttr_1_1Impl.html#aac70be9e3ec61723a8b76b6eeaf5270e",
"classzypp_1_1ZYppCommitResult.html#a076d39eabf98b66d4a58f63616a03cb6",
"classzypp_1_1base_1_1Unit.html#ae2274d4d681ea80d88b84d53f68b6987",
"classzypp_1_1filesystem_1_1Glob.html#a76ca385ae65a1c1f2d6838ea9265daa0a573cf7911986671bf5fdb5b6de371ecf",
"classzypp_1_1filter_1_1SameItemAs.html#a5553594a4e9b418dee02c1030908c410",
"classzypp_1_1media_1_1MediaCD.html#a8cf28b55f1c48a105309292a6f78e610",
"classzypp_1_1media_1_1MediaManager.html#a569396e2c9b71a9ee850ccd4e435890d",
"classzypp_1_1media_1_1ProxyInfo.html#a7f5a5615540f941cc1b41fc04c2f8d12",
"classzypp_1_1misc_1_1testcase_1_1TestcaseSetup.html#af3055e98e79595e3a765f825ed9c0d96",
"classzypp_1_1pool_1_1PoolImpl.html#ac7e535a13e5b14f37386ff198b67eb0b",
"classzypp_1_1repo_1_1ServicePluginException.html#a4d2c7e107411607ae4cb396dab0a262a",
"classzypp_1_1sat_1_1Pool.html#a08739e0783efe4854686bca6ab9adf0b",
"classzypp_1_1sat_1_1Solvable.html#a3e9483ff490820cc7021a2dd7cf9ee88",
"classzypp_1_1sat_1_1WhatProvides_1_1Impl.html#a6c311ffa31872149afcd3d9482b1eb44",
"classzypp_1_1str_1_1smatch.html#a58c9bb5a97d50e56498768541dcbd8fb",
"classzypp_1_1target_1_1TargetImpl.html#a2cc91213b6f96f661c70d2f2fd1608ca",
"classzypp_1_1target_1_1rpm_1_1RpmHeader.html#aec90d11c2cf3c040a1c5ae34df23e139",
"classzypp_1_1ui_1_1StatusBackup.html#adaaa307d3404357fd5294581d49d89f8",
"classzypp_1_1xml_1_1Reader.html#a521945abe544d7ebe540e36076bd8051",
"core_2base_2NonCopyable_8h.html#a3a6dcdb2e24ab74d95eb8a117f429af1",
"core_2fs_2PathInfo_8h.html#ac4d3fedab524295caf28953ab2489612",
"globals_defs_s.html",
"libxmlfwd_8cc.html#a7505788e58d176689fcab0a58e483386",
"sat_2detail_2PoolImpl_8cc.html#a3a3f15497d78b1163d23cd9869c03233",
"structzypp_1_1DefaultOption.html#a11eb393bc51536d12034289a8a85ad93",
"structzypp_1_1KeyRing_1_1Impl.html",
"structzypp_1_1PublicKeyData_1_1Impl.html#a1329c75924d8bd6efcb30608071b441c",
"structzypp_1_1RepoManager_1_1Impl.html#a9d98d04122a675a1ee54abaefc38a989",
"structzypp_1_1base_1_1LogControl_1_1TmpLineWriter.html#a5f15dd6e8d55d96d49c0df58f85b0dea",
"structzypp_1_1filesystem_1_1DirEntry.html#a6b0cb93078242cb5e9e425370fb9d0c8",
"structzypp_1_1media_1_1ml__parsedata.html",
"structzypp_1_1repo_1_1RepoCreateReport.html#a8e82de538558c66a6f9b1d9110990afa",
"structzypp_1_1sat_1_1SolvableType.html#ae4a1b01bd1a5b43a782d487dcad2713b",
"structzypp_1_1target_1_1rpm_1_1RemoveResolvableReport.html#a4475cf936a1e051de30e50175db2a302ab49a64bddb8486171420fc9871bc6258",
"structzypp_1_1xml_1_1detail_1_1EscapedString.html#a494b9e59e6b5c6a2670ec309b19190b0"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';